For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTAcknowledge a compliance document
      • GETDownload employee compliance document template
      • GETDownload submitted compliance document
      • GETList of employee compliance documents
      • POSTUpload employee compliance document
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsEor Worker Compliance

Upload employee compliance document

POST
/eor/workers/compliance-documents/:document_id
POST
/rest/v2/eor/workers/compliance-documents/:document_id
$curl -X POST https://api.letsdeel.com/rest/v2/eor/workers/compliance-documents/9b9fc43a-a90c-4615-ac50-baf1e314b53e \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: multipart/form-data"
1{
2 "data": {
3 "success": true
4 }
5}

Uploads a compliance document file against the specified document_id for an EOR employee. Token scopes: worker:write

Was this page helpful?
Previous

List HR verification letters and documents

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

document_idstringRequiredformat: "uuid"
Unique identifier for a compliance document in Deel.

Request

The employee compliance document data to upload
filefileOptional

The employee compliance document to upload. Accepted formats: PNG, JPG, JPEG, HEIC, PDF.

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication